------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情10
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>242
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(344, 453)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无

--NPC
local player1 = CppScriptMgr:AddSimplePlayer(24870,340,454, "Strange Lady", 400300001,1);

--怪物
local playerMonster1 = CppScriptMgr:AddPlayer(907,345,448, "Metal Beast")
local playerMonster2 = CppScriptMgr:AddPlayer(333,348,461, "Wood Beast")
local playerMonster3 = CppScriptMgr:AddPlayer(850,334,446, "Water Beast")
local playerMonster4 = CppScriptMgr:AddPlayer(335,334,460, "Fire Beast")
local playerMonster5 = CppScriptMgr:AddPlayer(912,324,454, "Earth Beast")



player1:Say("Help me!",2000);
CppScriptMgr:WaitMilSec(1000);

player1:Say("Help me!",2000);
CppScriptMgr:WaitMilSec(1000);

playerMonster1:Say("Five elements! Mutual generation!",2000);
playerMonster2:Say("Five elements! Mutual generation!",2000);
playerMonster3:Say("Five elements! Mutual generation!",2000);
playerMonster4:Say("Five elements! Mutual generation!",2000);
playerMonster5:Say("Five elements! Mutual generation!",2000);
CppScriptMgr:WaitMilSec(1000);

player1:Say("Help me!",2000);
CppScriptMgr:WaitMilSec(1000);